glab(1)

NAME
glab-stack-amend - Save more changes to a stacked diff. (EXPERIMENTAL)

SYNOPSIS
glab stack amend [flags]

DESCRIPTION
Add more changes to an existing stacked diff.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-a, --all[=false]
    Automatically stage modified and deleted tracked files.

-d, --description=""
    A description of the change.

-m, --message=""
    Alias for the description flag.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Amend diff with currently staged changes
    glab stack amend -m "Fix a function"
    # Add specified file to staged changes and amend diff
    glab stack amend newfile -m "forgot to add this"
    # Add all tracked files to staged changes and amend diff
    glab stack amend -a -m "fixed a function in exisiting file"
    # Add all tracked and untracked files to staged changes and amend diff
    glab stack amend . -m "refactored file into new files"

SEE ALSO
glab-stack(1)